<div class="container">
  <!-- Page Heading -->
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <h1 class="page-header">{% t "Review Order" %}</h1>
    </div>
  </div>
  <!-- /.row -->


  {% if order.products.size == 0 %}
  <div class="row">
    <section class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
      <div class="bg-info alert">{% t "The shopping cart is currently empty. You can go back and start adding products." %}</div>
      <a href="{{store.url}}" class="btn btn-default" title="&larr; {% t 'Go back & Keep Shopping' %}">&larr; {% t "Go back & Keep Shopping" %}</a>
    </section>
  </div>
  {% else %}

  <!-- Review Order Table -->

  <div class="col-md-8 col-sm-12 col-xs-12">
    <div class="row">
    <form id="cart-update-form" method="post" action="{{order.update_url}}">
      <div class="table-responsive">
      	<table class="table">
        <thead>
        <tr>
          <th>{% t "Product" %}</th>
          <th class="hidden-xs"></th>
          <th class="hidden-xs">{% t "Unit Price" %}</th>
          <th>{% t "Qty" %}</th>
          <th>{% t "Subtotal" %}</th>
        </tr>
      </thead>
        {% for product in order.products %}
        <tr>
          <td>
          {% if product.options.size > 0 %}
          <h3>{{product.name}}</h3>
            {% for option in product.options %}
            <small>{{option.name}}: {{option.value}}</small><br>
            {% endfor %}
          {% else %}
          <h3>
            {{product.name}}
          </h3>
          {% endif %}
          </td>
          <td class="text-center hidden-xs">
            {% if product.images.size > 0 %}
            <img src="{{ product.images.first | resize: '120x100'}}" alt="{{product.name}}" title="{{product.name}}">
            {% else %}
            <span><i class="fa fa-picture-o fa-5x"></i></span>
            {% endif %}
          </td>
          <td class="hidden-xs">
          	{% if product.discount > 0 %}
            <div class="cart-product-discount">
              <span>
                {{ product.price | minus:product.discount | price }}
                <br>
                <small>({{ product.price | price }})</small>
              </span>
            </div>
            {% else %}
            <span class="order-product-price">{{ product.price | price }}</span>
            {% endif %}
          </td>
          <td>
          	 <span>{{product.qty}}</span>
          </td>
          <td>
          	<span class="order-product-subtotal">{{ product.discount | times: product.qty | times: '-1' | plus: product.subtotal | price }}</span>
          </td>

        </tr>
        {% endfor %}
      </table>
      </div>
    </form>
    </div>

    <div class="row review-order-info panel panel-default">
      <div class="panel-body">
        {% if order.shipping_required %}
        <div id="review_shipping_address" class="col-md-6 col-sm-6 col-xs-12">
          <label>{% t "Shipping Address" %}</label>
          <p class="address">{{ order.shipping_address.formatted | newline_to_br }}</p>
        </div>
        {% endif %}

        <div id="review_billing_address" class="col-md-6 col-sm-6 col-xs-12">
          <label>{% t "Billing Address" %}</label>
          <p class="address">{{ order.billing_address.formatted | newline_to_br }}</p>
        </div>
      </div>
    </div>


	</div>

  <div class="col-md-4 col-sm-12 col-xs-12">
    <div id="review-cart-totals" class="cart-totals">
      <h5 class="legend">{% t "Summary" %}</h5>
      <table class="table table-striped">
        {% if order.subtotal != order.total %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Subtotal" %}</td>
          <td colspan="1" class="text-right">{{order.subtotal | price }}</td>
        </tr>
        {% endif %}

        {% if order.shipping_required %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Shipping" %}</td>
          <td colspan="1" class="text-right">{{order.shipping | price }}</td>
        </tr>
        {% endif %}

        {% if order.tax > 0 %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Tax" %}</td>
          <td colspan="1" class="text-right">{{order.tax | price }}</td>
        </tr>
        {% endif %}

        {% if order.discount > 0 %}
        <tr class="totals">
          <td colspan="1" class="text-left">{% t "Discount" %}</td>
          <td colspan="1" class="text-right">-{{order.discount | price }}</td>
        </tr>
        {% endif %}

        <tr class="totals key">
          <td colspan="1" class="text-left">
            <strong>{% t "Total" %}</strong>
          </td>
          <td colspan="1" class="text-right">
            <strong>{{order.total | price }}</strong>
          </td>
        </tr>

      </table>
    </div>
    <form id="review_form" class="text-right" action="{{order.place_order_url}}" method="post">
      <input type="submit" id="place_order" class="btn btn-primary btn-block" value="{% t 'Place Order' %}" title="{% t 'Place Order' %}" />
    </form>
    {% if options.currencies != blank %}
      {% assign store_currency = store.currency_code %}
      <p style="text-align: center; font-size: smaller; font-style: italic;">{% t "Payment will be processed in %{store_currency} at the current exchange rate" | store_currency: store_currency %}</p>
    {% endif %}

  </div>

  {% endif %}

</div>
